package ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.data;

import ru.yandex.webmaster3.core.semantic.semantic_document_parser.microformats.spec.MFType;

public abstract class MFAnyData implements Cloneable{

    public abstract MFType getSpec();

    public abstract boolean isEmpty();

    public abstract MFAnyData clone();

    public abstract String toShortString();

    public static String asStringOrNull(final MFAnyData data) {
        if (data == null) {
            return null;
        }
        return data.toString();
    }
}
